Package org.jfree.layouting.input.style.parser.stylehandler.positioning

## Class BoxOffsetReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler
  - - org.jfree.layouting.input.style.parser.stylehandler.positioning.BoxOffsetReadHandler

- All Implemented Interfaces:
    `CSSValueReadHandler`

      public class BoxOffsetReadHandler
      extends AbstractWidthReadHandler

  Handles the 'top', 'left', 'bottom', 'right' properties, which are needed for absolutly positioned content.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoxOffsetReadHandler​()` |

  - ### Method Summary

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

      `createValue, isAllowAuto, isAllowPercentages, parseWidth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoxOffsetReadHandler

          public BoxOffsetReadHandler​()